org.apache.commons.lang3.function

## Interface FailableToLongBiFunction<T,U,E extends Throwable>

- Type Parameters:
    `T` - the type of the first argument to the function
    `U` - the type of the second argument to the function
    `E` - Thrown exception.
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FailableToLongBiFunction<T,U,E extends Throwable>

  A functional interface like `ToLongBiFunction` that declares a `Throwable`.
  Since:
    3.11

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FailableToLongBiFunction` | `NOP` NOP singleton

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `applyAsLong(T t, U u)` Applies this function to the given arguments.
    `static <T,U,E extends Throwable> FailableToLongBiFunction<T,U,E>` | `nop()` Returns The NOP singleton.

- - ### Field Detail

    - #### NOP

          static final FailableToLongBiFunction NOP

      NOP singleton

  - ### Method Detail

    - #### nop

          static <T,U,E extends Throwable> FailableToLongBiFunction<T,U,E> nop()

      Returns The NOP singleton.
      Type Parameters:
        `T` - the type of the first argument to the function
        `U` - the type of the second argument to the function
        `E` - Thrown exception.
      Returns:
        The NOP singleton.

    - #### applyAsLong

          long applyAsLong(T t,
                           U u)
                    throws E extends Throwable

      Applies this function to the given arguments.
      Parameters:
        `t` - the first function argument
        `u` - the second function argument
      Returns:
        the function result
      Throws:
        `E` - Thrown when the function fails.
        `E extends Throwable`

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.